Bug 1402 - Please add extension Pagination to repository FRESH 2012.1
: Please add extension Pagination to repository FRESH 2012.1
Status: VERIFIED FIXED
Product: Desktop Bugs
Classification: ROSA Desktop
Component: Main Packages
: Fresh
: All Linux
: Normal normal
: ---
Assigned To: ROSA Linux Bugs
: ROSA Linux Bugs
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2013-01-08 16:32 MSK by FirstLevel
Modified: 2015-04-29 14:21 MSD (History)
2 users (show)

See Also:
RPM Package:
ISO-related:
Bad POT generating:
Upstream:
vladimir.potapov: qa_verified+
denis.silakov: published+


Attachments
english.jpg (103.60 KB, image/jpeg)
2015-04-28 16:03 MSD, FirstLevel
Details
russian.jpg (102.48 KB, image/jpeg)
2015-04-28 16:04 MSD, FirstLevel
Details
new-fixed-01.jpg (110.50 KB, image/jpeg)
2015-04-29 09:25 MSD, FirstLevel
Details
new-fixed-02.jpg (106.61 KB, image/jpeg)
2015-04-29 09:26 MSD, FirstLevel
Details

Note You need to log in before you can comment on or make changes to this bug.
Description FirstLevel 2013-01-08 16:32:18 MSK
Description of problem:
Please add extension Pagination to repository FRESH 2012.1
http://extensions.services.openoffice.org/en/project/pagination

Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.
2.
3.
Comment 1 Stanislav Fomin 2015-04-15 18:32:18 MSD
Надо перетестировать под RED, и либо
* закрыть, если не воспроизводится
* либо приложить свежие свидетельства, будем разбираться.
Comment 2 FirstLevel 2015-04-16 11:49:10 MSD
I could not find pagination extension in extension catalog for LO http://extensions.libreoffice.org/extension-center
Only in extension catalog for Apache OO http://extensions.services.openoffice.org/en/project/pagination
Comment 3 Denis Silakov 2015-04-16 22:43:13 MSD
Meanwhile, I have installed this extension from OOo site to my LO and it works fine.

So maybe it makes sense to add it. It looks suitable for users who migrate from M$ Office.
Comment 4 Denis Silakov 2015-04-17 01:14:57 MSD
Let's check if it really works fine. If yes, then we can add it to LO Writer requirements in future.

Advisory:
Built "Pagination" extension for LibreOffice. It adds a 'Insert / Page number...' dialog to LO Writer. It eases the way you can add page numbers to a document.

Build lists:
https://abf.io/build_lists/2491437
https://abf.io/build_lists/2491438
Comment 5 FirstLevel 2015-04-28 16:03:59 MSD
Created attachment 3926 [details]
english.jpg
Comment 6 FirstLevel 2015-04-28 16:04:14 MSD
Created attachment 3927 [details]
russian.jpg
Comment 7 FirstLevel 2015-04-28 16:08:06 MSD
I have sych name of menu item for this extension.
English: Insert - Page Number
Russian: Вставка - Родная нумерация
I think Russian should be
Вставка - Номер страницы

See attachments
Comment 8 Denis Silakov 2015-04-28 16:37:45 MSD
New build lists:
https://abf.io/build_lists/2495127
https://abf.io/build_lists/2495128
Comment 9 FirstLevel 2015-04-29 09:25:58 MSD
Created attachment 3928 [details]
new-fixed-01.jpg
Comment 10 FirstLevel 2015-04-29 09:26:13 MSD
Created attachment 3929 [details]
new-fixed-02.jpg
Comment 11 FirstLevel 2015-04-29 09:28:52 MSD
(In reply to comment #8)
> New build lists:
> https://abf.io/build_lists/2495127
> https://abf.io/build_lists/2495128

I have such result. Menu item - fixed ("Нумерация страниц" - new-fixed-01.jpg). But I see untranslated term in extension window ("Native numbering"- new-fixed-02.jpg)
Should we fix this issue with untranslated term or not?
Comment 12 Denis Silakov 2015-04-29 10:43:38 MSD
We can't fix this quickly, the source code doesn't provide a way to translate these items.

So let's live with this for now.
Comment 13 Vladimir Potapov 2015-04-29 14:13:28 MSD
libreoffice-pagination-1.3.10-2
https://abf.io/build_lists/2495127
https://abf.io/build_lists/2495128
************************ Advisory *****************************
Built "Pagination" extension for LibreOffice. It adds a 'Insert / Page number...' dialog to LO Writer. It eases the way you can add page numbers to a document.
***************************************************************
QA Verified